namespace AyCode.Interfaces.Messages;

public interface IAcMessageSenderService<TEmailMessage, TEmailRecipient>
    where TEmailMessage : IAcEmailMessage<TEmailRecipient>
    where TEmailRecipient : IAcEmailRecipientBase
{
    public Task<string> SendMessageAsync(TEmailMessage message, int messageType);
}
